<template>
    <q-form @submit.prevent="submitForm">
        <q-input rounded outlined
        class="q-pt-md"
        v-model="username"
        label="Username"
        />
        <q-input rounded outlined
        class="q-pt-md"
        v-model="Password"
        type="password"
        label="Password"
        />
        <q-input rounded outlined
        v-if="tab == 'Register'"
        class="q-pt-md"
        v-model="RetypePassword"
        type="password"
        label="Retype Password"
        />
        <q-input rounded outlined
        v-if="tab == 'Register'"
        class="q-pt-md"
        v-model="Email"
        label="Email"
        />
        <div class="row">
          <div class="col-7 q-pt-sm">
          </div>
        </div>
        <div class="row justify-center">
            <q-btn label="Submit"
            class="q-ma-xs"
            color="primary"
            type="submit"
            />
        </div>
    </q-form>
</template>

<script>
import axios from 'axios'
export default {
  props: ['tab'],
  data () {
    return {
      username: '',
      Password: '',
      RetypePassword: '',
      Email: '',
      rememberPassword: 'no'
    }
  },
  methods: {
    submitForm () {
      axios.post('http://localhost:1337/users', {
        username: this.Username
      }).then(response => {
        console.log(response)
      })
        .catch((error) => {
          console.log(error)
        })
    }
  }
}
</script>
